Package io.strimzi.systemtest.resources.crd

## Class KafkaConnectS2IResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaConnectS2IResource

-     public class KafkaConnectS2IResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaConnectS2IResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaConnectS2I` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2I)` |
    `static io.strimzi.api.kafka.model.KafkaConnectS2IBuilder` | `defaultKafkaConnectS2I​(io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2I, String name, String kafkaClusterName, int kafkaConnectReplicas)` |
    `static void` | `deleteKafkaConnectS2IWithoutWait​(String resourceName)` |
    `static io.strimzi.api.kafka.model.KafkaConnectS2IBuilder` | `kafkaConnectS2I​(String name, String clusterName, int kafkaConnectS2IReplicas)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaConnectS2I,​io.strimzi.api.kafka.KafkaConnectS2IList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaConnectS2I>>` | `kafkaConnectS2IClient()` |
    `static io.strimzi.api.kafka.model.KafkaConnectS2I` | `kafkaConnectS2IWithoutWait​(io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2I)` |
    `static void` | `replaceConnectS2IResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaConnectS2I> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaConnectS2IResource

          public KafkaConnectS2IResource()

  - ### Method Detail

    - #### kafkaConnectS2IClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaConnectS2I,​io.strimzi.api.kafka.KafkaConnectS2IList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaConnectS2I>> kafkaConnectS2IClient()

    - #### kafkaConnectS2I

          public static io.strimzi.api.kafka.model.KafkaConnectS2IBuilder kafkaConnectS2I​(String name,
                                                                                          String clusterName,
                                                                                          int kafkaConnectS2IReplicas)

    - #### defaultKafkaConnectS2I

          public static io.strimzi.api.kafka.model.KafkaConnectS2IBuilder defaultKafkaConnectS2I​(io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2I,
                                                                                                 String name,
                                                                                                 String kafkaClusterName,
                                                                                                 int kafkaConnectReplicas)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaConnectS2I createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2I)

    - #### kafkaConnectS2IWithoutWait

          public static io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2IWithoutWait​(io.strimzi.api.kafka.model.KafkaConnectS2I kafkaConnectS2I)

    - #### deleteKafkaConnectS2IWithoutWait

          public static void deleteKafkaConnectS2IWithoutWait​(String resourceName)

    - #### replaceConnectS2IResource

          public static void replaceConnectS2IResource​(String resourceName,
                                                       Consumer<io.strimzi.api.kafka.model.KafkaConnectS2I> editor)